Skip to content

Reference Data — Countries​

GET
/resources/countries

Supported countries and their settings.

Authorizations​

bearerAuth

Your appmanai API key as a Bearer token.

Type
HTTP (bearer)

Parameters​

Query Parameters

store

Limit to one store; both are returned otherwise.

Type
string
Valid values
"android""ios"
country

Two-letter ISO country code. Case-insensitive.

Type
string
Example"US"
Min Length
2
Max Length
2
Pattern
"^[A-Za-z]{2}$"
language

Language code for localised or generated text.

Type
string
Example"en"
support_level
Type
integer
Valid values
015

Responses​

Successful response.

application/json
JSON
{
  
"status": 200,
  
"meta": {
  
  
"exec_time": 0.025,
  
  
"cache": false,
  
  
"count": 235
  
},
  
"data": {
  
  
"countries": [
  
  
  
{
  
  
  
  
"id": "US",
  
  
  
  
"name": "United States",
  
  
  
  
"name_native": "United States of America",
  
  
  
  
"language_id": "en",
  
  
  
  
"tier": 1,
  
  
  
  
"languages": [
  
  
  
  
  
{
  
  
  
  
  
  
"id": "en",
  
  
  
  
  
  
"name": "English"
  
  
  
  
  
},
  
  
  
  
  
{
  
  
  
  
  
  
"id": "es",
  
  
  
  
  
  
"name": "Spanish"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"locales": [
  
  
  
  
  
{
  
  
  
  
  
  
"locale": "en_US"
  
  
  
  
  
},
  
  
  
  
  
{
  
  
  
  
  
  
"locale": "en_ES"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"settings": [
  
  
  
  
  
{
  
  
  
  
  
  
"appstore_id": 1,
  
  
  
  
  
  
"support_level": 5,
  
  
  
  
  
  
"is_active": true
  
  
  
  
  
},
  
  
  
  
  
{
  
  
  
  
  
  
"appstore_id": 2,
  
  
  
  
  
  
"support_level": 5,
  
  
  
  
  
  
"is_active": true
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"position": 10
  
  
  
},
  
  
  
{
  
  
  
  
"id": "AU",
  
  
  
  
"name": "Australia",
  
  
  
  
"name_native": "Australia",
  
  
  
  
"language_id": "en",
  
  
  
  
"tier": 1,
  
  
  
  
"languages": [
  
  
  
  
  
{
  
  
  
  
  
  
"id": "en",
  
  
  
  
  
  
"name": "English"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"locales": [
  
  
  
  
  
{
  
  
  
  
  
  
"locale": "en_AU"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"settings": [
  
  
  
  
  
{
  
  
  
  
  
  
"appstore_id": 1,
  
  
  
  
  
  
"support_level": 5,
  
  
  
  
  
  
"is_active": true
  
  
  
  
  
},
  
  
  
  
  
{
  
  
  
  
  
  
"appstore_id": 2,
  
  
  
  
  
  
"support_level": 5,
  
  
  
  
  
  
"is_active": true
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"position": 5
  
  
  
},
  
  
  
{
  
  
  
  
"id": "BR",
  
  
  
  
"name": "Brazil",
  
  
  
  
"name_native": "Brasil",
  
  
  
  
"language_id": "pt",
  
  
  
  
"tier": 1,
  
  
  
  
"languages": [
  
  
  
  
  
{
  
  
  
  
  
  
"id": "pt",
  
  
  
  
  
  
"name": "Portuguese"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"locales": [
  
  
  
  
  
{
  
  
  
  
  
  
"locale": "pt_BR"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"settings": [
  
  
  
  
  
{
  
  
  
  
  
  
"appstore_id": 1,
  
  
  
  
  
  
"support_level": 5,
  
  
  
  
  
  
"is_active": true
  
  
  
  
  
},
  
  
  
  
  
{
  
  
  
  
  
  
"appstore_id": 2,
  
  
  
  
  
  
"support_level": 5,
  
  
  
  
  
  
"is_active": true
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"position": 5
  
  
  
}
  
  
]
  
}
}

Samples​

Powered by VitePress OpenAPI